Bug 216626 - [as_IN] Pango - A particular char when Conjuncts, creates Cursor Nevigation Problem
[as_IN] Pango - A particular char when Conjuncts, creates Cursor Nevigation P...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fonts-indic (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag Nemade
: i18n
Depends On: 213368
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-21 04:34 EST by Parag Nemade
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-04 04:32:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2006-11-21 04:34:23 EST
+++ This bug was initially created as a clone of Bug #213368 +++

Description of problem:
Unicode 09AC - Assamese letter BA, is creating cursor nevigation problem when
conjucting with some other char with Halant - 09CD. cursor is blinking on the
left side of the char 09AC, where it should place on the right side of 09AC.
Some example with Key sequences having problem:
Inscript : <d'dy   and hdy
Phonetic : S/t/b   and p/b

But whereas sequences for some other 2-char-conjucts with 09AC is not having
cursor nevigation problem like :
Inscript : [dy
Phonetic : d/b

Version-Release number of selected component (if applicable):
fonts-bengali-2.0.7-1
pango-1.14.6-3
gedit-2.16.0-4

How reproducible:
Always

Steps to Reproduce:
1.Login with Assamese Language
2.Open gedit
3.Press CTRL+SPACE to enable SCIM
4.Select either inscript or phonetic keyboard layouts
5.Put the key sequences mentioned above , according to the leyouts 
6.Run the cursor through the conjucts
7.Observe the cursor nevigation
  
Actual results:
cursor is wrongly nevigating for the char unicode 09AC, and placing at the
left-hand side of 09AC.

Expected results:
Corsor should be placed autometically at the right-hand side of the entire
conjuct char!!

Additional info:
Key for Unicode 09AC :
in Inscript : y
in Phonetic : b

-- Additional comment from smaitra@redhat.com on 2006-11-01 07:42 EST --
The same problem exists in firefox also

firefox-1.5.0.7-8

-- Additional comment from tagoh@redhat.com on 2006-11-02 04:43 EST --
assigning this to LingNing to investigate.

-- Additional comment from lizhang@redhat.com on 2006-11-06 01:58 EST --
I tested this bug, and I found this bug is a bug about the font file, is not a
bug of Pango.


-- Additional comment from lizhang@redhat.com on 2006-11-06 02:01 EST --
Created an attachment (id=140435)
my patch for lohit_bn.ttf to fix this bug.
Comment 1 Parag Nemade 2007-01-04 04:32:32 EST
Built and tested in fonts-bengali-2.0.8-1

Note You need to log in before you can comment on or make changes to this bug.